/*jslint browser: true, nomen: true*/
/*global define*/
define('de_epages/trustedshops/ui/trustbadgelinkgenerator', [
    'jquery',
    'ep/ajax'
], function () {

    'use strict';

    return function (UIControlParameters) {
        function generatelink(cod2lang) {
            var link = 'https://www.trustedshops.com/integration/?' +
                    'shop_id=' + UIControlParameters.shopalias + '&' +
                    'backend_language=' + cod2lang + '&' +
                    'shopsw=' + UIControlParameters.shopsw + '&' +
                    'shopsw_version=' + UIControlParameters.shopswversion + '&' +
                    'plugin_version=' + UIControlParameters.pluginversion + '&' +
                    'context=' + UIControlParameters.context;

            return link;
        }
        UIControlParameters.trustbadgelink.attr('href', generatelink(UIControlParameters.langselector.val()));

        UIControlParameters.langselector.on('change', function () {
            UIControlParameters.trustbadgelink.attr('href', generatelink(UIControlParameters.langselector.val()));
        });

    };
});